package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPoolLoan;
import java.util.List;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;

/**
 * The table ABS_LOAN 信贷资产
 */
public class AstPackLoanPage extends BasePage<AstPoolLoan>{

    /**
     * screenRuleList .
     */
    private List<AstScreenRule> screenRuleList;
    /**
     * astType .
     */
    private AstTypeEnum astType;
    /**
     * astPoolNo .
     */
    private String astPoolNo;

    /**
     * Set screenRuleList .
     */
    public void setScreenRuleList(List<AstScreenRule> screenRuleList){
        this.screenRuleList = screenRuleList;
    }

    /**
     * Get screenRuleList .
     *
     * @return the string
     */
    public List<AstScreenRule> getScreenRuleList(){
        return screenRuleList;
    }

    /**
     * Set astType .
     */
    public void setAstType(AstTypeEnum astType){
        this.astType = astType;
    }

    /**
     * Get astType .
     *
     * @return the string
     */
    public AstTypeEnum getAstType(){
        return astType;
    }

    /**
     * Set astPoolNo .
     */
    public void setAstPoolNo(String astPoolNo){
        this.astPoolNo = astPoolNo;
    }

    /**
     * Get astPoolNo .
     *
     * @return the string
     */
    public String getAstPoolNo(){
        return astPoolNo;
    }
}
